/*
 * Agenda.java
 *
 * George Ferguson, ferguson@cs.rochester.edu, 25 Apr 2002
 * Time-stamp: <Wed May 14 12:31:28 EDT 2003 ferguson>
 */

import java.util.LinkedList;
import java.util.NoSuchElementException;

/**
 * An Agenda maintains Entries (completed constituents) waiting to be
 * added to the chart. It is a stack, so that new entries derived from
 * rules will be handled before the next word is considered.
 */
public class Agenda extends LinkedList {
    /**
     * Removes and returns the next element from this Agenda.
     * Returns null if there are no elements left.
     */
    public Entry getNext() {
	try {
	    return (Entry)removeLast();
	} catch (NoSuchElementException ex) {
	    return null;
	}
    }
}
