/*
 * Tokenizer.java
 *
 * George Ferguson, ferguson@cs.rochester.edu, 25 Apr 2002
 * Time-stamp: <Wed May 14 12:34:40 EDT 2003 ferguson>
 */

import java.util.LinkedList;
import java.util.List;
import java.util.NoSuchElementException;
import java.util.StringTokenizer;

/**
 * Tokenizes input strings prior to parsing.
 */
public class Tokenizer {
    /**
     * Create a new Tokenizer.
     * For now, this is uses just a StringTokenizer, but eventually
     * it could do some morphology, spelling correction, etc.
     */
    public Tokenizer() {
    }
    /**
     * Tokenize an input sentence and return a List of Symbols.
     */
    public List tokenizeInput(String sentence) {
	List result = new LinkedList();
	StringTokenizer tokens = new StringTokenizer(sentence);
	try {
	    while (tokens.hasMoreTokens()) {
		String token = tokens.nextToken();
		result.add(Symbol.intern(token));
	    }
	} catch (NoSuchElementException ex) {
	}
	return result;
    }
}
