/*
 * Entry.java
 *
 * George Ferguson, ferguson@cs.rochester.edu, 13 May 2002
 * Time-stamp: <Wed May 14 12:02:30 EDT 2003 ferguson>
 */

/**
 * An Entry represents a completed Constituent on the chart.
 */
public class Entry {
    /**
     * The unique identifier of this Entry.
     */
    Symbol id;
    /**
     * The Constituent that this entry represents.
     */
    Constituent constit;
    /**
     * The starting index of this Entry.
     */
    int start;
    /**
     * The ending index of this Entry.
     */
    int end;
    /**
     * Creates a new Entry for the given Constituent from START to END.
     */
    public Entry(Symbol id, Constituent constit, int start, int end) {
	this.id = id;
	this.constit = constit;
	this.start = start;
	this.end = end;
    } 
    /**
     * Returns the unique identifier of this Entry.
     */
    public Symbol getId() {
	return id;
    }
    /**
     * Returns the Constituent that this entry represents.
     */
    public Constituent getConstituent() {
	return constit;
    }
    /**
     * Returns the starting index of this Entry (Constituent).
     */
    public int getStart() {
	return start;
    }
    /**
     * Returns the ending index of this Entry (Constituent).
     */
    public int getEnd() {
	return end;
    }
    /**
     * Returns the String representation of this Entry.
     */
    public String toString() {
	return id.toString() + " " + constit.toString() + " from " + start + " to " + end;
    }
}
