/*
 * Constituent.java
 *
 * George Ferguson, ferguson@cs.rochester.edu, 25 Apr 2002
 * Time-stamp: <Wed May 14 12:26:18 EDT 2003 ferguson>
 */

/**
 * A constituent of a parse represents a syntactic element.
 */
public class Constituent {
    /**
     * Main syntactic category for this Constituent.
     */
    Symbol category;
    /**
     * Create a new Constituent with the given attributes.
     */
    public Constituent(Symbol category) {
	this.category = category;
    }
    /**
     * Returns the syntactic category of this Constituent.
     */
    public Symbol getCategory() {
	return category;
    }
    /**
     * Returns the printable representation of this Constituent as a
     * String.
     */
    public String toString() {
	return category.toString();
    }
}
