/*
 * XMLUtil.java
 *
 * George Ferguson, ferguson@cs.rochester.edu, 10 May 2002
 * Time-stamp: <Wed May 14 12:30:47 EDT 2003 ferguson>
 */

import org.xml.sax.Attributes;

/**
 * Useful methods for dealing with XML.
 */
public class XMLUtil {
    /**
     * Return the value of the named attribute in the given Attributes,
     * or null if not found.
     * Case is currently ignored in matching the attribute name.
     */
    public static String getAttributeValue(Attributes attrs, String name) {
	if (attrs != null) {
	    for (int i = 0; i < attrs.getLength(); i++) {
		String aName = attrs.getLocalName(i); // Attr name
		if ("".equals(aName)) {
		    aName = attrs.getQName(i);
		}
		if (aName.equalsIgnoreCase(name)) {
		    return attrs.getValue(i);
		}
	    }
	}
	return null;
    }
}
