/*
 * Printing.java
 *
 * George Ferguson, ferguson@cs.rochester.edu, 17 Apr 2002
 * Time-stamp: <Wed May 14 12:21:20 EDT 2003 ferguson>
 */

import java.util.Iterator;
import java.util.NoSuchElementException;

/**
 * Various utility methods for printing things nicely.
 * These methods weren't always used constitently in the code, I think.
 */
public class Printing {
    public static String listToString(Iterator iterator) {
	return listToString(iterator, "(", " ", ")");
    }
    public static String listToString(Iterator iterator, String openParen,
				      String separator, String closeParen) {
	StringBuffer buf = new StringBuffer(openParen);
	try {
	    while (iterator.hasNext()) {
		buf.append(iterator.next().toString());
		if (iterator.hasNext()) {
		    buf.append(separator);
		}
	    }
	} catch (NoSuchElementException ex) {
	}
	buf.append(closeParen);
	return buf.toString();
    }
    public static String pairToString(Object x, Object y) {
	return pairToString(x, y, "(", " ", ")");
    }
    public static String pairToString(Object x, Object y, String openParen,
				      String separator, String closeParen) {
	return openParen + x.toString() + separator + y.toString() + closeParen;
    }
}

